Subject: IPP> Proposed Summary of IPP Feature Set

From: [email-masked] (Zehler,Peter)
Date: Fri, 3 Jan 1997 11:51:36 PST

All,
I have added some additional items in the attached mailnote.  Here are some
thoughts on printer drivers and the IPP provider.

I think it would be a mistake to ignore printer driver installation for 
 internet printing.
	1) IPP must meet the customers needs or it will not be used.
	2) We must specify how internet printing will function.
	3) Many users print from applications.  Applications require print drivers.
	4) Print drivers are printer specific and should be associated with 
 the device.  This
		would simplify site specific printer modifications.
	5) IPP is intended for the internet.  Printers should be able to 
 provide there own drivers
		in this widely distributed environment.
	6) Print driver installation should work in complex(multiple domains, 
 firewalls,
		many printers etc) and simple(no directory service, 1 simple printer) 
 networks.
	7) Solution should work with legacy drivers as well as next generation 
 IPP aware drivers.
	8) Print driver installation process should be left up to venders.  
 IPP should specify how the
		installation method will be located and invoked.
	9) A user should be able to intervene to circumvent automatic print 
 driver installation.  The
		user will have to live with the results.  We should not prevent a 
 user from using
		an generic driver with an IPP printer if that is the users choice.

We should discuss, but not specify,  how the IPP redirector, provider, 
 or library will be hooked into the print path or client utilities.
	1) We will have "mapping" documents to address IPP over specific protocols.
	2) IPP redirector, provider, or library installation will be platform 
 specific.
	3) The print driver can communicate directly via IPP to the printer or can use
		standard platform specific mechanisms to transfer the PDL stream.
	4) IPP services must be installed on the client before IPP can be used 
 directly.
__________________________________

>  1.  Printer Discovery
>
>        1.1  List printers by selected criteria
>        1.2  Display the capabilities of a printer
PJZ> 1.3 discovery by reference(URL of TCP address)
PJZ> 1.4 display of current site specific configuration
>
>  2.  Driver Installation
>
>        2.1  Install support for a target printer
>        2.2  Uninstall support for a target printer
PJZ> 2.3 check current driver version
PJZ> 2.4 accommodate IPP aware or legacy drivers
>
>  3.  Job Submission
>
>        3.1  Print the current web page
>        3.2  Print a specified URL
>        3.3  Select job parameters
PJZ> 3.4 print from application
PJZ> 3.5 print long job
>
>  4.  Status Display
>
>        4.1  View the status of a printer
>        4.2  View the status of a job or set of jobs
>        4.3  Receive notification of a printer alert
>        4.4  Receive notification of job completion
>
>  5.  Job Modification
>
>        5.1  Modify one or more parameters of a job
PJZ> NOTE: until IPP aware drivers are available late binding
PJZ>                of job instructions is not very robust.
>        5.2  Cancel a job
>
>Note that, unlike the top level of the outline, there is no particular
>rationale for the order of the elements at the second level of the
>outline.
>
>Is this outline useful as a basis from which all scenarios are to
>be derived?
>
>	...jay
>
>PS:  The astute reader may realize that a particular set of features
>     have been omitted from this outline.  Should this omission prove
>     inappropriate, we can always add it to the outline.
>
>----------------------------------------------------------------------
>--  JK Martin               |  Email:   [email-masked]          --
>--  Underscore, Inc.        |  Voice:   (603) 889-7000              --
>--  41C Sagamore Park Road  |  Fax:     (603) 889-2699              --
>--  Hudson, NH 03015-4915   |  Web:     http://www.underscore.com   --
>----------------------------------------------------------------------
>

----- End Included Message -----

---

From: [email-masked] (JK Martin)
Date: Fri, 3 Jan 97 15:50 EST

All,

Well, I'm getting more and more confused everyday about the scope of
the IPP initiative.  Based on the responses from Carl-Uno and Peter
Zehler, it looks like we're all over the map with respect to the
breadth and depth of the functionality.

I had hoped to submit a draft outline of scenarios by now.  Unfortunately,
due to the holiday season (I guess), not many people have responded
to my earlier posting on this topic.  I really needed feedback, and
the feedback I got just confused me even more.

I am really sorry, but I don't see a good starting point for the
scenarios right now.  I think the group needs to really flesh out
the project scope some more before we launch into scenario development.

Just my $0.02 right now, but from where I sit, I'm expecting someone
to suggest adding "World Peace" to the IPP list of functionality...  ;-)

I'm all for satisfying customer needs, but there are only so many
hours in a day (and only so much digestable rationale for amortizing
engineering costs...).

I'm going to step back from spearheading the Scenarios effort and
let someone else have a hack at it.

	...jay